## griffith 0.6.2

=== Makefile ===
# Griffith makefile

# (c) 2005 Vasco Nunes
#

# $Id: Makefile 386 2006-07-27 10:06:03Z piotrek $

PACKAGE=griffith
LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -printf "%f ")
VERSION=$(shell grep "^pversion" lib/version.py | cut -d \"  -f 2)
TEMPLATES= $(shell cd data/export_templates >/dev/null; $(FIND) . -maxdepth 1 -mindepth 1 -type d -name "[^\.svn]*" -print)

.PHONY: help clean freshmeat gnomefiles install

INSTALL ?= install
MAKE ?= make
RM ?= rm
MSGFMT ?= msgfmt
MSGMERGE ?= msgmerge
XGETTEXT ?= xgettext
FIND ?= find

PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/griffith
LIBDIR = $(DATADIR)/lib
IMAGESDIR = $(DATADIR)/images
GLADEDIR = $(DATADIR)/glade
PLUGINSDIR = $(DATADIR)/plugins
MOVIEPLUGINSDIR = $(PLUGINSDIR)/movie
EXPORTPLUGINSDIR = $(PLUGINSDIR)/export
TPLDIR = $(DATADIR)/export_templates
APPLICATIONSDIR = $(PREFIX)/share/applications
ICONDIR = $(PREFIX)/share/pixmaps
LOCALEDIR = $(PREFIX)/share/locale

help:
	@echo Usage:
	@echo "make		- not used"
	@echo "make clean	- delete built modules and object files"
	@echo "make install	- install binaries into the official directories"
	@echo "make uninstall	- uninstall binaries from the official directories"
	@echo "make help	- prints this help"
	@echo "make dist	- makes a distribution tarball"
	@echo
	

install:
	@echo
	@echo "installing Griffith"
	@echo "^^^^^^^^^^^^^^^^^^^"
	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(PLUGINSDIR) $(MOVIEPLUGINSDIR) \
		$(EXPORTPLUGINSDIR) $(FONTSDIR) $(APPLICATIONSDIR) $(ICONDIR) $(TPLDIR) \
		$(IMAGESDIR) $(GLADEDIR)
	$(INSTALL) -m 755 griffith $(LIBDIR)
	$(INSTALL) -m 644 lib/*.py $(LIBDIR)
	$(INSTALL) -m 644 lib/plugins/movie/*.py $(MOVIEPLUGINSDIR)
	$(INSTALL) -m 644 lib/plugins/export/*.py $(EXPORTPLUGINSDIR)
	$(INSTALL) -m 644 glade/*.glade $(GLADEDIR)
	$(INSTALL) -m 644 glade/*.png $(GLADEDIR)
	$(INSTALL) -m 644 images/*.png $(IMAGESDIR)
	$(INSTALL) -m 644 images/griffith.png $(ICONDIR)
	$(INSTALL) -m 644 images/griffith.xpm $(ICONDIR)
	$(INSTALL) -m 644 data/griffith.desktop $(APPLICATIONSDIR)
	
	# installing language files
	for lang in $(LANGUAGES); do \
		${INSTALL} -m 755 -d $(LOCALEDIR)/$$lang/LC_MESSAGES; \
		$(INSTALL) -m 644 i18n/$$lang/LC_MESSAGES/*.mo $(LOCALEDIR)/$$lang/LC_MESSAGES; \
	done
	
	# installing export templates:
	for dir in $(TEMPLATES); do \
		${INSTALL} -m 755 -d  ${TPLDIR}/$$dir; \
		${FIND} data/export_templates/$$dir -maxdepth 1 -type f \
			-exec ${INSTALL} -m 644 '{}' ${TPLDIR}/$$dir \;; \
	done
	
	if test -f $(PREFIX)/bin/griffith; then ${RM} $(PREFIX)/bin/griffith; fi	
	
	ln -s $(LIBDIR)/griffith $(BINDIR)/griffith
	chmod +x $(BINDIR)/griffith
	$(MAKE) -C docs install
	
uninstall:
	@echo
	@echo "uninstalling Griffith"
	@echo "^^^^^^^^^^^^^^^^^^^^^"
	${RM} -r $(TPLDIR)
	${RM} -r $(MOVIEPLUGINSDIR)
	${RM} -r $(EXPORTPLUGINSDIR)
	${RM} -r $(PLUGINSDIR)
	${RM} -r $(LIBDIR)
	${RM} -r $(IMAGESDIR)
	${RM} -r $(GLADEDIR)
	${RM} -r $(DATADIR)
	${RM} -r $(ICONDIR)/griffith.png
	${RM} -r $(ICONDIR)/griffith.xpm
	${RM} -r $(APPLICATIONSDIR)/griffith.desktop
	for lang in $(LANGUAGES); do \
		${RM} -r $(LOCALEDIR)/$$lang/LC_MESSAGES/griffith.mo; \
	done
	${RM} -r $(BINDIR)/griffith
	$(MAKE) -C docs uninstall
	
clean:
	${RM} *.pyc *.bak po/*.~ glade/*~ glade/*.bak lib/*.pyc *~ lib/*~ lib/plugins/movie/*~ lib/plugins/export/*~
	
freshmeat:
	firefox http://freshmeat.net/add-release/54772/ &

gnomefiles:
	firefox http://www.gnomefiles.org/devs/newversion.php?soft_id=965 &
	
dist:
	@tar --exclude=*.svn* --exclude=*.tar* --exclude=debian -cf griffith.tar ./
	@mkdir $(PACKAGE)-$(VERSION)
	@tar -xf griffith.tar -C $(PACKAGE)-$(VERSION)
	@${RM} griffith.tar
	@tar -czf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION) && echo File ./$(PACKAGE)-$(VERSION).tar.gz generated successfully
	@${RM} -r $(PACKAGE)-$(VERSION)

lint:
	pylint --enable-basic=n --indent-string='\t' griffith lib/*.py

=== docs/Makefile ===
LANGUAGES = en pl pt
.PHONY: man clean $(LANGUAGES) 


all: man

man: $(LANGUAGES)
	for dir in $(LANGUAGES); do \
	          $(MAKE) -C $$dir man; \
	done

clean: $(LANGUAGES)
	for dir in $(LANGUAGES); do \
	          $(MAKE) -C $$dir clean; \
	done

install:
	for dir in $(LANGUAGES); do \
	          $(MAKE) -C $$dir install; \
	done

uninstall:
	for dir in $(LANGUAGES); do \
	          $(MAKE) -C $$dir uninstall; \
	done

=== po/Makefile ===
INSTALL ?= install

PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py) 
GLADEFILES = $(wildcard ../glade/*.glade)
POFILES = $(wildcard *.po)

GLADEHFILES := $(GLADEFILES:.glade=.glade.h)

help:
	@echo "USAGE:"
	@echo "make update - updates messages.pot and .po files"
	@echo "make dist   - creates .mo files in ../i18n dir"
	@echo "make pl.po  - updates pl.po file OR creates new one"
	@echo "              (replace 'pl' with your language code)"

%.h: %
	intltool-extract --type="gettext/glade" $*

messages.pot: $(GLADEHFILES)
	xgettext -k_ -kN_ --language=Python -o messages.pot $(PYFILES) $(GLADEHFILES) --from-code=utf-8

%.po: messages.pot
	@if test -f $@; then \
		echo -n "Updating '$*' language ";\
		msgmerge -U $@ messages.pot;\
	else \
		msginit -l $*.UTF8 -o $@; \
	fi

%.mo:
	for pofile in $(patsubst ../i18n/%/LC_MESSAGES/griffith.mo,%.po,$@); do \
		${INSTALL} -m 755 -d $(subst griffith.mo,,$@);\
		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\
		msgfmt $${pofile}_utf8 -o $@;\
		rm $${pofile}_utf8;\
	done

update: $(POFILES)
dist: $(POFILES:%.po=../i18n/%/LC_MESSAGES/griffith.mo)

clean:
	$(RM) $(GLADEHFILES)
	$(RM) $(POFILES:%.po=../i18n/%/LC_MESSAGES/griffith.mo)
	$(RM) messages.pot

.PHONY: update dist

=== docs/en/Makefile ===
.PHONY: all man
MANPAGES_1= griffith.1
MANPAGES_5= griffith-export-template.5
MANPAGES= $(MANPAGES_1) $(MANPAGES_5)

PREFIX= $(DESTDIR)/usr
MANDIR= $(PREFIX)/share/man
INSTALL ?= install

all: man

man: $(MANPAGES)

clean:
	$(RM) $(MANPAGES)

%.1: %.xml
	docbook2x-man $<

%.5: %.xml
	docbook2x-man $<

install: $(MANPAGES)
	$(INSTALL) -m 755 -d "$(MANDIR)/man1"
	$(INSTALL) -m 755 -d "$(MANDIR)/man5"
	if test -n "$(MANPAGES_1)"; then $(INSTALL) -m 644 $(MANPAGES_1) $(MANDIR)/man1; fi
	if test -n "$(MANPAGES_5)"; then $(INSTALL) -m 644 $(MANPAGES_5) $(MANDIR)/man5; fi

uninstall: $(MANPAGES)
	for manpage in $(MANPAGES_1); do \
		${RM} $(MANDIR)/man1/$$manpage; \
	done
	for manpage in $(MANPAGES_5); do \
		${RM} $(MANDIR)/man5/$$manpage; \
	done

=== docs/pl/Makefile ===
.PHONY: all man
MANPAGES_1= griffith.1
MANPAGES_5= griffith-export-template.5
MANPAGES= $(MANPAGES_1) $(MANPAGES_5)

PREFIX= $(DESTDIR)/usr
MANDIR= $(PREFIX)/share/man
INSTALL ?= install

all: man

man: $(MANPAGES)

clean:
	$(RM) $(MANPAGES)

%.1: %.xml
	docbook2x-man $<

%.5: %.xml
	docbook2x-man $<

install: $(MANPAGES)
	$(INSTALL) -m 755 -d "$(MANDIR)/pl/man1"
	$(INSTALL) -m 755 -d "$(MANDIR)/pl/man5"
	if test -n "$(MANPAGES_1)"; then $(INSTALL) -m 644 $(MANPAGES_1) $(MANDIR)/pl/man1; fi
	if test -n "$(MANPAGES_5)"; then $(INSTALL) -m 644 $(MANPAGES_5) $(MANDIR)/pl/man5; fi

uninstall: $(MANPAGES)
	for manpage in $(MANPAGES_1); do \
		${RM} $(MANDIR)/man1/pl/$$manpage; \
	done
	for manpage in $(MANPAGES_5); do \
		${RM} $(MANDIR)/man5/pl/$$manpage; \
	done

=== docs/pt/Makefile ===
.PHONY: all man
MANPAGES_1= griffith.1
MANPAGES_5= griffith-export-template.5
MANPAGES= $(MANPAGES_1) $(MANPAGES_5)

PREFIX= $(DESTDIR)/usr
MANDIR= $(PREFIX)/share/man
INSTALL ?= install

all: man

man: $(MANPAGES)

clean:
	$(RM) $(MANPAGES)

%.1: %.xml
	docbook2x-man $<

%.5: %.xml
	docbook2x-man $<

install: $(MANPAGES)
	$(INSTALL) -m 755 -d "$(MANDIR)/pt/man1"
	$(INSTALL) -m 755 -d "$(MANDIR)/pt/man5"
	if test -n "$(MANPAGES_1)"; then $(INSTALL) -m 644 $(MANPAGES_1) $(MANDIR)/pt/man1; fi
	if test -n "$(MANPAGES_5)"; then $(INSTALL) -m 644 $(MANPAGES_5) $(MANDIR)/pt/man5; fi

uninstall: $(MANPAGES)
	for manpage in $(MANPAGES_1); do \
		${RM} $(MANDIR)/man1/pt/$$manpage; \
	done
	for manpage in $(MANPAGES_5); do \
		${RM} $(MANDIR)/man5/pt/$$manpage; \
	done

## griffith 0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # Griffith makefile
-
-# (c) 2005 Vasco Nunes
 #
-
-# $Id: Makefile 386 2006-07-27 10:06:03Z piotrek $
+# (c) 2005-2007 Vasco Nunes, Piotr Ozarowski
+#
+# $Id: Makefile 674 2007-01-05 23:01:29Z piotrek $
 
 PACKAGE=griffith
-LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -printf "%f ")
+LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
 VERSION=$(shell grep "^pversion" lib/version.py | cut -d \"  -f 2)
-TEMPLATES= $(shell cd data/export_templates >/dev/null; $(FIND) . -maxdepth 1 -mindepth 1 -type d -name "[^\.svn]*" -print)
+TEMPLATES= $(shell cd export_templates >/dev/null; $(FIND) . -maxdepth 1 -mindepth 1 -type d -name "[^\.svn]*" -print)
 
 .PHONY: help clean freshmeat gnomefiles install
 
@@ -19,6 +18,7 @@
 MSGMERGE ?= msgmerge
 XGETTEXT ?= xgettext
 FIND ?= find
+DOC2MAN ?= docbook2x-man
 
 PREFIX = $(DESTDIR)/usr
 BINDIR = $(PREFIX)/bin
@@ -26,9 +26,10 @@
 LIBDIR = $(DATADIR)/lib
 IMAGESDIR = $(DATADIR)/images
 GLADEDIR = $(DATADIR)/glade
-PLUGINSDIR = $(DATADIR)/plugins
+PLUGINSDIR = $(LIBDIR)/plugins
 MOVIEPLUGINSDIR = $(PLUGINSDIR)/movie
 EXPORTPLUGINSDIR = $(PLUGINSDIR)/export
+IMPORTPLUGINSDIR = $(PLUGINSDIR)/imp
 TPLDIR = $(DATADIR)/export_templates
 APPLICATIONSDIR = $(PREFIX)/share/applications
 ICONDIR = $(PREFIX)/share/pixmaps
@@ -50,12 +51,14 @@
 	@echo "installing Griffith"
 	@echo "^^^^^^^^^^^^^^^^^^^"
 	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(PLUGINSDIR) $(MOVIEPLUGINSDIR) \
-		$(EXPORTPLUGINSDIR) $(FONTSDIR) $(APPLICATIONSDIR) $(ICONDIR) $(TPLDIR) \
-		$(IMAGESDIR) $(GLADEDIR)
+		$(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) $(FONTSDIR) $(APPLICATIONSDIR) \
+		$(ICONDIR) $(TPLDIR) $(IMAGESDIR) $(GLADEDIR)
 	$(INSTALL) -m 755 griffith $(LIBDIR)
 	$(INSTALL) -m 644 lib/*.py $(LIBDIR)
+	$(INSTALL) -m 644 lib/plugins/*.py $(PLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/movie/*.py $(MOVIEPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/export/*.py $(EXPORTPLUGINSDIR)
+	$(INSTALL) -m 644 lib/plugins/imp/*.py $(IMPORTPLUGINSDIR)
 	$(INSTALL) -m 644 glade/*.glade $(GLADEDIR)
 	$(INSTALL) -m 644 glade/*.png $(GLADEDIR)
 	$(INSTALL) -m 644 images/*.png $(IMAGESDIR)
@@ -72,7 +75,7 @@
 	# installing export templates:
 	for dir in $(TEMPLATES); do \
 		${INSTALL} -m 755 -d  ${TPLDIR}/$$dir; \
-		${FIND} data/export_templates/$$dir -maxdepth 1 -type f \
+		${FIND} export_templates/$$dir -maxdepth 1 -type f \
 			-exec ${INSTALL} -m 644 '{}' ${TPLDIR}/$$dir \;; \
 	done
 	
@@ -104,7 +107,7 @@
 	$(MAKE) -C docs uninstall
 	
 clean:
-	${RM} *.pyc *.bak po/*.~ glade/*~ glade/*.bak lib/*.pyc *~ lib/*~ lib/plugins/movie/*~ lib/plugins/export/*~
+	${FIND} . \( -iname '*\.py[co]' -or -iname '*~' -or -iname '*\.bak' \) -exec ${RM} '{}' \;
 	
 freshmeat:
 	firefox http://freshmeat.net/add-release/54772/ &
@@ -112,7 +115,7 @@
 gnomefiles:
 	firefox http://www.gnomefiles.org/devs/newversion.php?soft_id=965 &
 	
-dist:
+dist: clean
 	@tar --exclude=*.svn* --exclude=*.tar* --exclude=debian -cf griffith.tar ./
 	@mkdir $(PACKAGE)-$(VERSION)
 	@tar -xf griffith.tar -C $(PACKAGE)-$(VERSION)

## griffith 0.9.6

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Griffith makefile
 #
-# (c) 2005-2007 Vasco Nunes, Piotr Ozarowski
+# (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 674 2007-01-05 23:01:29Z piotrek $
+# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
@@ -65,6 +65,16 @@
 	$(INSTALL) -m 644 images/griffith.png $(ICONDIR)
 	$(INSTALL) -m 644 images/griffith.xpm $(ICONDIR)
 	$(INSTALL) -m 644 data/griffith.desktop $(APPLICATIONSDIR)
+	# SQLAlchemy
+	$(INSTALL) -m 755 -d $(LIBDIR)/sqlalchemy $(LIBDIR)/sqlalchemy/databases \
+		$(LIBDIR)/sqlalchemy/engine $(LIBDIR)/sqlalchemy/ext \
+		$(LIBDIR)/sqlalchemy/mods $(LIBDIR)/sqlalchemy/orm
+	$(INSTALL) -m 644 lib/sqlalchemy/*.py $(LIBDIR)/sqlalchemy/
+	$(INSTALL) -m 644 lib/sqlalchemy/databases/*.py $(LIBDIR)/sqlalchemy/databases/
+	$(INSTALL) -m 644 lib/sqlalchemy/engine/*.py $(LIBDIR)/sqlalchemy/engine/
+	$(INSTALL) -m 644 lib/sqlalchemy/ext/*.py $(LIBDIR)/sqlalchemy/ext/
+	$(INSTALL) -m 644 lib/sqlalchemy/mods/*.py $(LIBDIR)/sqlalchemy/mods/
+	$(INSTALL) -m 644 lib/sqlalchemy/orm/*.py $(LIBDIR)/sqlalchemy/orm/
 	
 	# installing language files
 	for lang in $(LANGUAGES); do \

## griffith 0.9.7.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 908 2008-01-27 23:03:39Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")

=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
+# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
 LANGUAGES = en pl pt
+DOC2MAN ?= docbook2x-man
+
 .PHONY: man clean $(LANGUAGES)

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
+# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
 INSTALL ?= install
 
-PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py) 
+PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
 GLADEFILES = $(wildcard ../glade/*.glade)
 POFILES = $(wildcard *.po)

=== docs/en/Makefile ===
# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
.PHONY: all man
MANPAGES= griffith.1

PREFIX= $(DESTDIR)/usr
MANDIR= $(PREFIX)/share/man
INSTALL ?= install
DOC2MAN ?= docbook2x-man

all: man

man: $(MANPAGES)

clean:
	$(RM) $(MANPAGES)

%.1: %.xml
	$(DOC2MAN) $<

install: $(MANPAGES)
	$(INSTALL) -m 755 -d "$(MANDIR)/man1"
	if test -n "$(MANPAGES)"; then $(INSTALL) -m 644 $(MANPAGES) $(MANDIR)/man1; fi

uninstall: $(MANPAGES)
	for manpage in $(MANPAGES); do \
		${RM} $(MANDIR)/man1/$$manpage; \
	done

=== docs/pl/Makefile ===
# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
.PHONY: all man
MANPAGES= griffith.1

PREFIX= $(DESTDIR)/usr
MANDIR= $(PREFIX)/share/man
INSTALL ?= install
DOC2MAN ?= docbook2x-man

all: man

man: $(MANPAGES)

clean:
	$(RM) $(MANPAGES)

%.1: %.xml
	$(DOC2MAN) --encoding iso-8859-2 $<

install: $(MANPAGES)
	$(INSTALL) -m 755 -d "$(MANDIR)/pl/man1"
	if test -n "$(MANPAGES)"; then $(INSTALL) -m 644 $(MANPAGES) $(MANDIR)/pl/man1; fi

uninstall: $(MANPAGES)
	for manpage in $(MANPAGES); do \
		${RM} $(MANDIR)/man1/pl/$$manpage; \
	done

=== docs/pt/Makefile ===
# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
.PHONY: all man
MANPAGES= griffith.1

PREFIX= $(DESTDIR)/usr
MANDIR= $(PREFIX)/share/man
INSTALL ?= install
DOC2MAN ?= docbook2x-man

all: man

man: $(MANPAGES)

clean:
	$(RM) $(MANPAGES)

%.1: %.xml
	$(DOC2MAN) $<

install: $(MANPAGES)
	$(INSTALL) -m 755 -d "$(MANDIR)/pt/man1"
	if test -n "$(MANPAGES)"; then $(INSTALL) -m 644 $(MANPAGES) $(MANDIR)/pt/man1; fi

uninstall: $(MANPAGES)
	for manpage in $(MANPAGES); do \
		${RM} $(MANDIR)/man1/pt/$$manpage; \
	done

## griffith 0.10

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 908 2008-01-27 23:03:39Z piotrek $
+# $Id: Makefile 1266 2009-07-12 21:44:31Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
@@ -20,8 +20,9 @@
 FIND ?= find
 DOC2MAN ?= docbook2x-man
 
-PREFIX = $(DESTDIR)/usr
+PREFIX ?= $(DESTDIR)/usr
 BINDIR = $(PREFIX)/bin
+ETCDIR = $(DESTDIR)/etc
 DATADIR = $(PREFIX)/share/griffith
 LIBDIR = $(DATADIR)/lib
 IMAGESDIR = $(DATADIR)/images
@@ -34,6 +35,7 @@
 APPLICATIONSDIR = $(PREFIX)/share/applications
 ICONDIR = $(PREFIX)/share/pixmaps
 LOCALEDIR = $(PREFIX)/share/locale
+BASHCOMPDIR = $(ETCDIR)/bash_completion.d
 
 help:
 	@echo Usage:
@@ -50,11 +52,13 @@
 	@echo
 	@echo "installing Griffith"
 	@echo "^^^^^^^^^^^^^^^^^^^"
-	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(PLUGINSDIR) $(MOVIEPLUGINSDIR) \
-		$(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) $(FONTSDIR) $(APPLICATIONSDIR) \
-		$(ICONDIR) $(TPLDIR) $(IMAGESDIR) $(GLADEDIR)
+	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(LIBDIR)/db \
+		$(PLUGINSDIR) $(MOVIEPLUGINSDIR) $(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) \
+		$(FONTSDIR) $(APPLICATIONSDIR) $(ICONDIR) $(TPLDIR) \
+		$(IMAGESDIR) $(GLADEDIR) $(ETCDIR) $(BASHCOMPDIR)
 	$(INSTALL) -m 755 griffith $(LIBDIR)
 	$(INSTALL) -m 644 lib/*.py $(LIBDIR)
+	$(INSTALL) -m 644 lib/db/*.py $(LIBDIR)/db/
 	$(INSTALL) -m 644 lib/plugins/*.py $(PLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/movie/*.py $(MOVIEPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/export/*.py $(EXPORTPLUGINSDIR)
@@ -65,16 +69,7 @@
 	$(INSTALL) -m 644 images/griffith.png $(ICONDIR)
 	$(INSTALL) -m 644 images/griffith.xpm $(ICONDIR)
 	$(INSTALL) -m 644 data/griffith.desktop $(APPLICATIONSDIR)
-	# SQLAlchemy
-	$(INSTALL) -m 755 -d $(LIBDIR)/sqlalchemy $(LIBDIR)/sqlalchemy/databases \
-		$(LIBDIR)/sqlalchemy/engine $(LIBDIR)/sqlalchemy/ext \
-		$(LIBDIR)/sqlalchemy/mods $(LIBDIR)/sqlalchemy/orm
-	$(INSTALL) -m 644 lib/sqlalchemy/*.py $(LIBDIR)/sqlalchemy/
-	$(INSTALL) -m 644 lib/sqlalchemy/databases/*.py $(LIBDIR)/sqlalchemy/databases/
-	$(INSTALL) -m 644 lib/sqlalchemy/engine/*.py $(LIBDIR)/sqlalchemy/engine/
-	$(INSTALL) -m 644 lib/sqlalchemy/ext/*.py $(LIBDIR)/sqlalchemy/ext/
-	$(INSTALL) -m 644 lib/sqlalchemy/mods/*.py $(LIBDIR)/sqlalchemy/mods/
-	$(INSTALL) -m 644 lib/sqlalchemy/orm/*.py $(LIBDIR)/sqlalchemy/orm/
+	$(INSTALL) -m 644 data/bash_completion $(BASHCOMPDIR)/griffith
 	
 	# installing language files
 	for lang in $(LANGUAGES); do \
@@ -114,6 +109,7 @@
 		${RM} -r $(LOCALEDIR)/$$lang/LC_MESSAGES/griffith.mo; \
 	done
 	${RM} -r $(BINDIR)/griffith
+	${RM} -r $(BASHCOMPDIR)/griffith
 	$(MAKE) -C docs uninstall
 	
 clean:

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 547 2006-12-15 01:35:17Z piotrek $
 INSTALL ?= install
 
 PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py)

## griffith 0.12.1

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 547 2006-12-15 01:35:17Z piotrek $
+# $Id: Makefile 1370 2010-01-04 21:02:39Z piotrek $
 INSTALL ?= install
 
 PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
@@ -43,5 +43,6 @@
 	$(RM) $(GLADEHFILES)
 	$(RM) $(POFILES:%.po=../i18n/%/LC_MESSAGES/griffith.mo)
 	$(RM) messages.pot
+	$(RM) *~
 
 .PHONY: update dist

=== debian/changelog ===
griffith (0.12.1-2) unstable; urgency=low

  * cherry-pick SQLAlchemy 0.7 compatibility from SVN repo
  * movie plugins updated to latest SVN version
  * VCS-* fields updated
  * preinst script removed (no need to clean after pycentral anymore)
  * Switch from dh_pysupport to dh_python2
  * Source format changed to 3.0 (quilt)
  * Add build-arch and build-indep targets
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 02 Aug 2011 20:42:17 +0200

griffith (0.12.1-1) unstable; urgency=low

  * New upstream release
    - fixes upgrades from 0.9.x
  * debian/watch file updated to track launchpad.net

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 18 Oct 2010 21:52:41 +0200

griffith (0.12-1) unstable; urgency=medium

  * New upstream release
    - compatible with SQLAlchemy 0.6 (closes: 590463)
  * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 03 Oct 2010 20:44:33 +0200

griffith (0.11-1) unstable; urgency=low

  * New upstream release
  * Recommend python-gtkspell instead on python-gnome2-extras (closes: #541600)
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 09 Jan 2010 23:53:08 +0100

griffith (0.10-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 03 Aug 2009 22:27:02 +0200

griffith (0.10~rc1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2 (no changes needed)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Jul 2009 22:57:18 +0200

griffith (0.10~beta3-1) experimental; urgency=low

  * New upstream release
  * Update preinst script to handle 0.10~beta versions

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 11 Jun 2009 22:14:40 +0200

griffith (0.9.10-1) unstable; urgency=low

  * New upstream release
  * Convert to python-support
    + add preinst maintainer script to clean after pycentral
  * Add docbook2x to Build-Depend-Indep
  * Bump Standards-Version to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 May 2009 21:43:22 +0200

griffith (0.10~beta2-1) experimental; urgency=low

  * New upstream release
  * Changes in dependencies:
    + SQLAlchemy minimum required version bumped to 0.5
    + pysqlite2 removed from alternative dependencies as python2.5 is now
      required
    + python-sqlite moved to Suggests
    + ipython added to Suggests (--shell option)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Feb 2009 21:08:30 +0100

griffith (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 27 Dec 2008 22:47:18 +0100

griffith (0.10~beta1-1) experimental; urgency=low

  * New upstream release
    + XS-Python-Version bumped to >=2.5

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 17 Nov 2008 22:20:53 +0100

griffith (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Nov 2008 21:58:55 +0100

griffith (0.9.7.1-1) unstable; urgency=low

  * New upstream release
  * Homepage updated

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 26 Jul 2008 22:04:07 +0200

griffith (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * debian/watch updated
  * Bump Standards-Version to 3.8.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 21 Jul 2008 19:10:08 +0200

griffith (0.9.6-2) unstable; urgency=low

  * Added patch for Python>=2.4's xml module compatibility (LP: #203161)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 22 Mar 2008 15:15:01 +0100

griffith (0.9.6-1) unstable; urgency=low

  * New upstream release
    + includes local copy of SQLAlchemy 0.3.11 (closes: #453736)
  * python-sqlalchemy dependency temporary removed
    (0.10 will require SQLAlchemy 0.4 so it closes: #443199)
  * Remove "XS-" prefix from Vcs-* fields (dpkg supports them now)
  * Add Homepage field
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 27 Jan 2008 23:28:39 +0100

griffith (0.9.5-1) unstable; urgency=low

  * New upstream release 
  * debian/watch file updated
  * debian/menu file updated
  * Add python-sqlalchemy (<< 0.4~) to depends (Griffith doesn't work with SA
    0.4 for now)
  * python-sqlite package moved to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 02 Sep 2007 23:56:26 +0200

griffith (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Update XS-Vcs-* fields to point to debian dir

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 Aug 2007 20:21:23 +0200

griffith (0.9.3.1-1) unstable; urgency=low

  * New upstream release 

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Jul 2007 19:32:15 +0200

griffith (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Don't require python-pysqlite2 if Python 2.5 is the default Python version
    (sqlite3 module will be used if possible)
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jun 2007 16:47:04 +0200

griffith (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue, 20 Feb 2007 17:01:26 +0100

griffith (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon, 12 Feb 2007 21:30:40 +0100

griffith (0.9-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Fri, 26 Jan 2007 19:49:36 +0100

griffith (0.9~rc3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Tue,  9 Jan 2007 23:17:41 +0100

griffith (0.9~rc2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright and debian/watch files updated

 -- Piotr Ozarowski <ozarow@gmail.com>  Mon,  8 Jan 2007 00:04:41 +0100

griffith (0.9~rc1-1) experimental; urgency=low

  * New upstream release
  * Dependencies updated (python-sqlite is still in Depends: to make the
    upgrade process smooth)


=== debian/control ===
Source: griffith
Section: gnome
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python (>= 2.6.3-3), docbook2x
Standards-Version: 3.9.2
XS-Python-Version: >=2.5
Vcs-Svn: svn://svn.berlios.de/griffith/trunk/
Vcs-Browser: http://svn.berlios.de/wsvn/griffith/trunk/
Homepage: http://www.griffith.cc/

Package: griffith
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends},
 python-sqlalchemy (>= 0.5),
 python-gtk2 (>= 2.8.6-1),
 python-glade2 (>= 2.8.6-1),
 python-reportlab (>= 1.20debian-6),
 python-imaging (>= 1.1.5-6)
Recommends: python-gtkspell,
 python-chardet,
 python-psycopg2 (>= 1.1.21-6),
 python-mysqldb (>= 1.2.1-p2-2)
Suggests: griffith-extra-artwork (>= 0.9),
 python-sqlite,
 ipython
Description: film collection manager
 Adding items to the movie collection is as quick and easy as typing the film
 title and selecting a supported source. Griffith will then try to fetch all
 the related information from the Web.

## griffith 0.13

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # Griffith makefile
 #
-# (c) 2005-2008 Vasco Nunes, Piotr Ozarowski
+# (c) 2005-2009 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 1266 2009-07-12 21:44:31Z piotrek $
+# $Id: Makefile 1372 2010-01-04 21:20:40Z piotrek $
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")
-VERSION=$(shell grep "^pversion" lib/version.py | cut -d \"  -f 2)
+VERSION=$(shell grep "^pversion" lib/version.py | cut -d \'  -f 2)
 TEMPLATES= $(shell cd export_templates >/dev/null; $(FIND) . -maxdepth 1 -mindepth 1 -type d -name "[^\.svn]*" -print)
 
-.PHONY: help clean freshmeat gnomefiles install
+.PHONY: help clean install
 
 INSTALL ?= install
 MAKE ?= make
@@ -31,6 +31,7 @@
 MOVIEPLUGINSDIR = $(PLUGINSDIR)/movie
 EXPORTPLUGINSDIR = $(PLUGINSDIR)/export
 IMPORTPLUGINSDIR = $(PLUGINSDIR)/imp
+EXTENSIONSPLUGINSDIR = $(PLUGINSDIR)/extensions
 TPLDIR = $(DATADIR)/export_templates
 APPLICATIONSDIR = $(PREFIX)/share/applications
 ICONDIR = $(PREFIX)/share/pixmaps
@@ -46,14 +47,14 @@
 	@echo "make help	- prints this help"
 	@echo "make dist	- makes a distribution tarball"
 	@echo
-	
+
 
 install:
 	@echo
 	@echo "installing Griffith"
 	@echo "^^^^^^^^^^^^^^^^^^^"
 	$(INSTALL) -m 755 -d $(BINDIR) $(DATADIR) $(LIBDIR) $(LIBDIR)/db \
-		$(PLUGINSDIR) $(MOVIEPLUGINSDIR) $(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) \
+		$(PLUGINSDIR) $(MOVIEPLUGINSDIR) $(EXPORTPLUGINSDIR) $(IMPORTPLUGINSDIR) $(EXTENSIONSPLUGINSDIR) \
 		$(FONTSDIR) $(APPLICATIONSDIR) $(ICONDIR) $(TPLDIR) \
 		$(IMAGESDIR) $(GLADEDIR) $(ETCDIR) $(BASHCOMPDIR)
 	$(INSTALL) -m 755 griffith $(LIBDIR)
@@ -63,6 +64,7 @@
 	$(INSTALL) -m 644 lib/plugins/movie/*.py $(MOVIEPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/export/*.py $(EXPORTPLUGINSDIR)
 	$(INSTALL) -m 644 lib/plugins/imp/*.py $(IMPORTPLUGINSDIR)
+	$(INSTALL) -m 644 lib/plugins/extensions/*.py $(EXTENSIONSPLUGINSDIR)
 	$(INSTALL) -m 644 glade/*.glade $(GLADEDIR)
 	$(INSTALL) -m 644 glade/*.png $(GLADEDIR)
 	$(INSTALL) -m 644 images/*.png $(IMAGESDIR)
@@ -89,7 +91,7 @@
 	ln -s $(LIBDIR)/griffith $(BINDIR)/griffith
 	chmod +x $(BINDIR)/griffith
 	$(MAKE) -C docs install
-	
+
 uninstall:
 	@echo
 	@echo "uninstalling Griffith"
@@ -97,6 +99,8 @@
 	${RM} -r $(TPLDIR)
 	${RM} -r $(MOVIEPLUGINSDIR)
 	${RM} -r $(EXPORTPLUGINSDIR)
+	${RM} -r $(IMPORTPLUGINSDIR)
+	${RM} -r $(EXTENSIONSPLUGINSDIR)
 	${RM} -r $(PLUGINSDIR)
 	${RM} -r $(LIBDIR)
 	${RM} -r $(IMAGESDIR)
@@ -111,16 +115,10 @@
 	${RM} -r $(BINDIR)/griffith
 	${RM} -r $(BASHCOMPDIR)/griffith
 	$(MAKE) -C docs uninstall
-	
+
 clean:
 	${FIND} . \( -iname '*\.py[co]' -or -iname '*~' -or -iname '*\.bak' \) -exec ${RM} '{}' \;
-	
-freshmeat:
-	firefox http://freshmeat.net/add-release/54772/ &
 
-gnomefiles:
-	firefox http://www.gnomefiles.org/devs/newversion.php?soft_id=965 &
-	
 dist: clean
 	@tar --exclude=*.svn* --exclude=*.tar* --exclude=debian -cf griffith.tar ./
 	@mkdir $(PACKAGE)-$(VERSION)
@@ -129,5 +127,3 @@
 	@tar -czf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION) && echo File ./$(PACKAGE)-$(VERSION).tar.gz generated successfully
 	@${RM} -r $(PACKAGE)-$(VERSION)
 
-lint:
-	pylint --enable-basic=n --indent-string='\t' griffith lib/*.py

=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 638 2006-12-31 23:55:38Z piotrek $
 LANGUAGES = en pl pt
 DOC2MAN ?= docbook2x-man

=== po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile 1370 2010-01-04 21:02:39Z piotrek $
+# $Id: Makefile 1603 2011-12-18 19:43:30Z piotrek $
 INSTALL ?= install
 
-PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
+PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/db/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py) 
 GLADEFILES = $(wildcard ../glade/*.glade)
 POFILES = $(wildcard *.po)
 
@@ -28,7 +28,7 @@
 		msginit -l $*.UTF8 -o $@; \
 	fi
 
-%.mo:
+%.mo: %.po
 	for pofile in $(patsubst ../i18n/%/LC_MESSAGES/griffith.mo,%.po,$@); do \
 		${INSTALL} -m 755 -d $(subst griffith.mo,,$@);\
 		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\

=== docs/en/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
 .PHONY: all man
 MANPAGES= griffith.1

=== docs/pl/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
 .PHONY: all man
 MANPAGES= griffith.1

=== docs/pt/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 891 2007-12-16 21:13:53Z piotrek $
+# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
 .PHONY: all man
 MANPAGES= griffith.1

=== debian/changelog ===
griffith (0.13-3) unstable; urgency=low

  * Update patch from -2 to not show scary errors when restore window is
    closed while selecting backup file

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 04 Apr 2013 23:07:08 +0200

griffith (0.13-2) unstable; urgency=low

  * Fix restore function

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 23 Mar 2013 22:22:22 +0100

griffith (0.13-1) unstable; urgency=low

  * New upstream release
  * VCS-* fields removed (berlios will be shutdown)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Dec 2011 21:15:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,7 @@
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: python (>= 2.6.3-3), docbook2x
 Standards-Version: 3.9.2
-XS-Python-Version: >=2.5
-Vcs-Svn: svn://svn.berlios.de/griffith/trunk/
-Vcs-Browser: http://svn.berlios.de/wsvn/griffith/trunk/
+X-Python-Version: >= 2.5
 Homepage: http://www.griffith.cc/
 
 Package: griffith
@@ -21,6 +19,7 @@
  python-imaging (>= 1.1.5-6)
 Recommends: python-gtkspell,
  python-chardet,
+ python-lxml,
  python-psycopg2 (>= 1.1.21-6),
  python-mysqldb (>= 1.2.1-p2-2)
 Suggests: griffith-extra-artwork (>= 0.9),

=== debian/watch ===
version=3
https://launchpad.net/griffith/+download \
http://launchpad.net/griffith/trunk/.*/\+download/griffith-(\d.*)\.tar\.xz

## griffith 0.13%2B20140313

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
build-arch:
build-indep:

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/griffith

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installmenu -i
	dh_link usr/share/griffith/lib/griffith /usr/bin/griffith
	dh_compress -i
	dh_fixperms -i
	dh_python2 -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## griffith 0.13+20140313

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # (c) 2005-2009 Vasco Nunes, Piotr Ozarowski
 #
-# $Id: Makefile 1372 2010-01-04 21:20:40Z piotrek $
+# $Id$
 
 PACKAGE=griffith
 LANGUAGES=$(shell find i18n/ -maxdepth 1 -mindepth 1 -type d -not -name \.svn -printf "%f ")

=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 638 2006-12-31 23:55:38Z piotrek $
+# $Id$
 LANGUAGES = en pl pt
 DOC2MAN ?= docbook2x-man

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1603 2011-12-18 19:43:30Z piotrek $
+# $Id$
 INSTALL ?= install
 
 PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/db/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py)

=== docs/en/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
+# $Id$
 .PHONY: all man
 MANPAGES= griffith.1

=== docs/pl/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
+# $Id$
 .PHONY: all man
 MANPAGES= griffith.1

=== docs/pt/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 686 2007-01-07 22:36:07Z piotrek $
+# $Id$
 .PHONY: all man
 MANPAGES= griffith.1

=== debian/changelog ===
griffith (0.13+20140313-1) unstable; urgency=medium

  * New upstream snapshot
    - works with SQLAlchemy 0.8 (closes: 719685)
  * Add dh-python to Build-Depends to use newer dh_python2
  * debian/watch file updated
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 23 Oct 2014 22:01:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: python (>= 2.6.3-3), docbook2x
-Standards-Version: 3.9.2
+Build-Depends-Indep: python (>= 2.6.3-3), docbook2x, dh-python
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Homepage: http://www.griffith.cc/

=== debian/watch ===
version=3
https://launchpad.net/griffith/ .*/griffith-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
